org.apache.jasper.util

## Class Enumerator<T>

- java.lang.Object
- - org.apache.jasper.util.Enumerator<T>

All Implemented Interfaces:
  Enumeration<T>

Deprecated.
Replaced by java.util.Collections#enumeration(..)

    @Deprecated
    public final class Enumerator<T>
    extends Object
    implements Enumeration<T>

Adapter class that wraps an `Enumeration` around a Java2 collection classes object `Iterator` so that existing APIs returning Enumerations can easily run on top of the new collections. Constructors are provided to easily create such wrappers.

Author:
  Craig R. McClanahan

### Constructor Summary

Constructors
Constructor and Description
`Enumerator(Iterator<T> iterator)` Deprecated. Return an Enumeration over the values returned by the specified Iterator.
`Enumerator(Iterator<T> iterator, boolean clone)` Deprecated. Return an Enumeration over the values returned by the specified Iterator.

### Method Summary

Methods
`boolean` `hasMoreElements()` Deprecated. Tests if this enumeration contains more elements.
`T` `nextElement()` Deprecated. Returns the next element of this enumeration if this enumeration has at least one more element to provide.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Enumerator

    public Enumerator(Iterator<T> iterator)

Deprecated.
Return an Enumeration over the values returned by the specified Iterator.

Parameters:
  `iterator` - Iterator to be wrapped

#### Enumerator

    public Enumerator(Iterator<T> iterator,
              boolean clone)

Deprecated.
Return an Enumeration over the values returned by the specified Iterator.

Parameters:
  `iterator` - Iterator to be wrapped
  `clone` - true to clone iterator

### Method Detail

#### hasMoreElements

    public boolean hasMoreElements()

Deprecated.
Tests if this enumeration contains more elements.

Specified by:
  `hasMoreElements` in interface `Enumeration<T>`
Returns:
  `true` if and only if this enumeration object contains at least one more element to provide, `false` otherwise

#### nextElement

    public T nextElement()
                  throws NoSuchElementException

Deprecated.
Returns the next element of this enumeration if this enumeration has at least one more element to provide.

Specified by:
  `nextElement` in interface `Enumeration<T>`
Returns:
  the next element of this enumeration
Throws:
  `NoSuchElementException` - if no more elements exist